{{#*inline "maneuverSection"}}
    <div class="flexcol maneuver {{cssForFrame}}" data-maneuver="{{maneuver.key}}">
        {{#if maneuver.displayDetails }}
            <span>{{maneuver.name}}&nbsp;<i class="wa-tooltip far fa-question-circle" data-shortcut="{{maneuver.shortcut}}" data-child="{{maneuver.shortcutChild}}"></i></span>
            <span class="level-desc">{{maneuver.level.name}}</span>
            <div class="flexrow">
                {{#each maneuver.xptab as |xpImg|}}
                    <img class="xp-bubbles" src="{{xpImg}}"/>
                {{/each}}
            </div>
            <div class="evolve-button {{maneuver.button.css}}">{{maneuver.button.title}}</div>
            {{#if maneuver.forgetBtn.displayed }}
                <div class="evolve-button forget">{{maneuver.forgetBtn.title}}</div>
            {{/if}}
        {{else}}
            <span class="summary">{{maneuver.summary}}</span>
        {{/if}}
    </div>
{{/inline}}

{{#*inline "battleCapacity"}}

    <header class="flexrow column-title">
        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.score.header'}}</span>
    </header>
    <div class="flexcol framed-info with-tooltip" title="{{capacity.combat.details}}">
        <span style="text-align: center;">{{capacity.combat.mastered}}</span>
    </div>
    <div class="flexrow framed-info with-tooltip" title="{{capacity.attribute.details}}">
        <span style="text-align: center;">{{localize 'AESYSTEM.actor.sheet.battleCapacity.attribute.prefix'}} {{capacity.attribute.name}}</span>
    </div>
    <div class="flexrow framed-info token-line">
        {{#each capacity.tokens as |token|}}
            <div class="flexrow token-part">
                <span class="token-value {{token.css}}" title="{{token.title}}">{{token.value}}</span>
                <img class="token with-tooltip" src="{{token.icon}}" title="{{token.details}}" />
            </div>
        {{/each}}
    </div>
{{/inline}}

{{#*inline "actionList"}}
    <header class="flexrow column-title additional-margin">
        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.actions'}}</span>
    </header>
    {{#each actions as |action|}}
        <div class="flexcol framed-info interaction">
            <span class="key" data-dragged="{{action.action}}" 
                              data-label="{{action.label}}"
                              data-category="{{action.category}}" 
                              data-subchoice="{{action.subchoice}}" 
                              data-icon="{{action.icon}}">
                <a class="launch-dice"><i class="fas fa-dice-d20"></i></a>&nbsp;{{action.label}}
            </span>                        
        </div>
    {{/each}}
{{/inline}}

{{#*inline "currentWeapon"}}
    {{#if weapon.displayed}}
        <header class="flexrow column-title additional-margin">
            <span>{{weapon.header}}</span>
        </header>
        <div class="flexcol framed-info">
            <span>{{weapon.name}}</span>
        </div>
    {{/if}}
{{/inline}}

{{#*inline "merchantLine"}}
    <li class="flexrow shop-line" data-type="{{type}}" data-index="{{content.index}}" data-source="{{content.source}}">
        <img class="item-img" src="{{content.item.img}}">
        <div class="item-name">{{content.item.name}}</div>
        <div class="flexcol item-details">
            <div class="flexrow item-detail-line">
                {{#each content.eqt.affixes as |affix|}}
                    <div class="wa-link item-detail" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></div>
                {{/each}}
            </div>
            {{#if content.limiter.apply}}
                <div class="flexrow item-detail-line">
                    <div class="item-detail {{limiter.css}}">{{limiter.details}}</div>
                </div>
            {{/if}}
        </div>
        <div class="item-cost">{{content.realPrice}}</div>
        <img class="item-coin" src="systems/acariaempire/resources/items/misc/coin.png">
        {{#if content.button.displayed}}
            <div class="ae-button item-click {{content.button.css}}">{{content.button.title}}</div>
        {{/if}}
    </li>
{{/inline}}


<form class="{{cssClass}}" autocomplete="off">

    {{!-- Sheet Header --}}
    <header class="sheet-header">
        <img class="ae-character-icon" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="100" width="100"/>
        {{#if gmActor}}
            <h1>{{actor.name}}</h1>
        {{else}}
            <div class="flexcol left-tokens">
                {{#each gui.header.leftTokens as |token| }}
                    <div class="ae-token {{token.css}}" style="background-image: url('{{token.img}}');" data-id="{{token.id}}">{{token.value}}</div>
                {{/each}}
            </div>
            <div class="flexcol name-and-status {{gui.header.background}}">
                <h1 class="ae-character-name">
                    <input name="name" type="text" value="{{actor.name}}" placeholder="Name"/>
                </h1>
                <div class="flexrow bottom-tokens">
                    {{#each gui.header.bottomTokens as |token| }}
                        <div class="ae-token {{token.css}}" style="background-image: url('{{token.img}}');" data-id="{{token.id}}">{{token.value}}</div>
                    {{/each}}
                    {{#if gui.header.displaySelected }}
                        <div class="flexrow token-input-panel">
                            {{#each gui.header.tokenDisplay as |col| }}
                                <div class="flexcol input-col">
                                    <div class="token-info">{{col.title}}</div>
                                    {{#if col.editable}}
                                        <input class="token-info" type="number" name="{{col.editName}}" value="{{col.value}}" placeholder="{{col.title}}"/>
                                    {{else}}
                                        <div class="token-info value">{{col.value}}</div>
                                    {{/if}}
                                </div>
                            {{/each}}
                        </div>
                    {{/if}}
                </div>
            </div>
        {{/if}}
    </header>

    <div class='flexrow main-nav'>
        {{#each menu.nav as |nav|}}
            <div class="nav-item{{nav.cssClass}}" data-tab="{{nav.choice}}">
                <img class="nav-icon" src="{{nav.icon}}">
                <span class="tooltip">{{nav.label}}</span>

            </div>
        {{/each}}
    </div>

    <section class="ae-body">


        {{!-- Biography Tab --}}
        {{#if menu.tabs.description}}
        <div class="biography ae-tabdata" style="max-height:{{menu.size.maxheight}}px; height:{{menu.size.maxheight}}px;">
            <h2>{{localize 'AESYSTEM.actor.sheet.menu.description'}}</h2>
            {{editor data.system.biography target="system.biography" button=true owner=owner editable=editable}}
        </div>
        {{/if}}

        {{!-- Equipment Tab --}}
        {{#if menu.tabs.equipments}}
        <div class="ae-equipments ae-tabdata" style="max-height:{{menu.size.maxheight}}px;">

            <h2>{{localize 'AESYSTEM.actor.sheet.menu.equipments'}}</h2>

            <div class="flexrow main-row">
                <!-- Slots -->
                <div class="equipment-slots">
                    {{#each gui.equipment.slots as |slot|}}
                        <div class="flexrow slot-item" data-id="{{slot.itemId}}" data-slot="{{slot.key}}" data-dragged="equipment" style="left: {{slot.left}}px; top: {{slot.top}}px;">
                            <img class="slot-image" src="{{slot.itemIcon}}">
                            <span class="tooltip">{{slot.itemName}}</span>
                        </div>
                    {{/each}}
                </div>

                <!-- Active effects -->
                {{#if gui.equipment.effectsDisplayed}}
                    <div class="flexcol effects-panel">
                        <div class="effects-title">{{localize 'AESYSTEM.actor.sheet.equipment.effect.spellsTitle'}}</div>
                        {{#each gui.equipment.spellEffects as |se|}}
                            <div class="flexcol spell-line">
                                <div class="flexrow spell-effect" data-id="{{se.spellId}}">
                                    <img class="effect-icon" src="{{se.effect.icon}}" >
                                    <img class="wa-tooltip effect-level" src="{{se.spell.levelIcon}}" data-shortcut="{{se.spell.shortcut}}" data-child="{{se.spell.shortcutChild}}" >
                                    <div class="flexcol">
                                        <span class="effect-label {{se.labelCss}}">{{se.effect.label}}</span>
                                            {{#if se.detail.displayed}}
                                                <span class="spell-detail">{{se.detail.label}}</span>
                                            {{/if}}
                                            {{#if se.stack.displayed}}
                                                <span class="spell-detail {{se.stack.css}}" data-amount="{{se.stack.amount}}">{{se.stack.label}}</span>
                                            {{/if}}
                                    </div>
                                    {{#if se.removeDisplayed}}
                                        <i class="effect-remove fas fa-times"></i>
                                    {{/if}}
                                </div>
                            </div>
                        {{/each}}
                    </div>
                {{/if}}
            </div>

        </div>
        {{/if}}

        {{!-- Bags Tab --}}
        {{#if menu.tabs.bags}}
        <div class="ae-bags ae-tabdata" style="min-height:{{menu.size.maxheight}}px; max-height:{{menu.size.maxheight}}px;">

            <h2>{{localize 'AESYSTEM.actor.sheet.menu.bags'}}</h2>

            <div class="flexcol bag-layer">
                <header>
                    <span>{{gui.bag.header}}</span>
                </header>

                <div class="flexrow bag-slot">
                    {{#each gui.bag.items as |bagItem|}}
                        <div class="flexrow bag-item {{bagItem.css}}" data-id="{{bagItem.itemId}}" data-dragged="equipment">
                            {{#if bagItem.display}}
                                <img class="slot-image" src="{{bagItem.itemIcon}}">
                                <span class="tooltip">{{bagItem.itemName}}</span>
                            {{/if}}
                        </div>
                    {{/each}}
                </div>
            </div>

            <!-- Current gold -->
            <div class="flexrow current-coins">
                <span class="coin-title">{{gui.bag.coins.title}}</span>
                {{#if gui.bag.coins.editable}}
                    <input class="coin-input" type="number" name="system.coins" value="{{gui.bag.coins.amount}}"/>
                {{else}}
                    <span class="coin-title">{{gui.bag.coins.amount}}</span>
                {{/if}}
                <img class="coin-icon" src="systems/acariaempire/resources/items/misc/coin.png">
            </div>


        </div>
        {{/if}}


        {{!-- Attributes Tab --}}
        {{#if menu.tabs.attributes}}
        <div class="ae-attributes ae-tabdata" style="max-height:{{menu.size.maxheight}}px;">

            <h2>{{localize 'AESYSTEM.actor.sheet.menu.attributes'}}</h2>

            <div class="flexrow attribute-area" >
                <div class="flexcol">
                    {{#each gui.attributes.all as |attribute|}}
                        <div class="flexcol attribute" data-attribute="{{attribute.key}}" style="left: {{attribute.left}}px; top: {{attribute.top}}px;">
                            <span class="key" data-dragged="attribute">{{attribute.name}}
                                &nbsp;<i class="wa-tooltip far fa-question-circle" data-shortcut="{{attribute.shortcut}}" data-child="{{attribute.shortcutChild}}"></i>
                            </span>
                            <span class="level-desc {{attribute.levelSummary.css}}">{{attribute.levelSummary.value}}</span>
                            <div class="flexrow xp-area">
                                {{#each attribute.xptab as |xpImg|}}
                                    <img class="xp-bubbles" src="{{xpImg}}"/>
                                {{/each}}
                            </div>
                            <div class="flexcol button-area">
                                <div class="evolve-button {{attribute.button.css}}">{{attribute.button.title}}</div>
                                {{#if attribute.forgetBtn.displayed }}
                                    <div class="evolve-button forget">{{attribute.forgetBtn.title}}</div>
                                {{/if}}
                            </div>
                            <div class="tooltip {{attribute.tooltipCss}}">
                                {{#if attribute.levelSummary.title}}
                                    <div>{{attribute.levelSummary.title}}</div>
                                {{/if}}
                                {{#each attribute.description as |line|}}
                                    <div>{{line}}</div>
                                {{/each}}
                            </div>
                        </div>
                    {{/each}}
                    <div class="attribute-roll">
                        <i class="fas fa-dice-d20"></i>
                    </div>
                </div>

            </div>
        </div>
        {{/if}}

        {{!-- Abilities Tab --}}
        {{#if menu.tabs.abilities}}
        <div class="ae-abilities ae-tabdata" style="max-height:{{menu.size.maxheight}}px;">

            {{#if gui.abilities.isSet}}
                <h2>{{localize 'AESYSTEM.actor.sheet.abilities.startedAs'}}</h2>
                <div class="flexrow starting-job">
                    <img class="job-icon wa-tooltip" src="{{gui.abilities.icon}}" data-shortcut="character.jobs.{{gui.abilities.ref}}">
                    <div class="flexcol job-data">
                        <span>{{gui.abilities.name}}</span>
                    </div>
                    <i class="remove-job fas fa-times"></i>
                </div>
            {{else}}
                <h2>{{localize 'AESYSTEM.actor.sheet.abilities.chooseStart'}}</h2>
                <div class="flexrow">
                    {{#each gui.abilities.allJobs as |job|}}
                        <div class="flexrow available-job">
                            <img class="job-icon wa-tooltip" src="{{job.icon}}" data-shortcut="character.jobs.{{job.ref}}">
                            <div class="flexcol job-data" data-job="{{job.ref}}">
                                <span>{{job.name}}</span>
                            </div>
                        </div>
                    {{/each}}
                </div>
            {{/if}}

            {{#if gui.abilities.learnNewSkill.display}}

                <h2>{{gui.abilities.learnNewSkill.label}} <i class="cancel-learn-skill fas fa-times"></i> </h2>
                <div class="flexrow available-skills" data-skilltype="{{gui.abilities.learnNewSkill.skillType}}">
                    {{#each gui.abilities.availableSkills as |skill|}}
                        <div class="flexrow available-skill">
                            <span class="skill-data" data-skill="{{skill.key}}">{{skill.name}}</span>
                            <i class="wa-tooltip far fa-question-circle" data-shortcut="{{skill.shortcut}}" data-child="{{skill.shortcutChild}}"></i>
                        </div>
                    {{/each}}
                </div>


            {{else}}
                {{#if gui.abilities.isSet}}

                    <h2>{{localize 'AESYSTEM.actor.sheet.abilities.currentAbilities'}}{{gui.abilities.level}}</h2>
                    <div class="flexrow" style="align-items: baseline;">
                        {{#each gui.abilities.learnedOnes as |ability|}}
                        <div class="flexcol ability-col" data-skilltype="{{ability.key}}">
                            <!-- Basic actions -->
                            <div class="ability-title" data-dragged="ability" 
                                                       data-label="{{ability.name}}"
                                                       data-ability="{{ability.key}}">
                                {{ability.name}}
                                <div class="tooltip {{ability.tooltipCss}}">
                                    {{#each ability.description as |line|}}
                                        <div>{{line}}</div>
                                    {{/each}}
                                </div>
                            </div>
                            <a class="ability-check">
                                <i class="fas fa-dice-d20"></i>
                            </a>
                            <span class="level-desc">{{ability.levelSummary}}</span>
                            <div class="flexrow xp-area">
                                {{#each ability.xptab as |xpImg|}}
                                    <img class="xp-bubbles" src="{{xpImg}}"/>
                                {{/each}}
                            </div>
                            <div class="flexcol button-area">
                                <div class="evolve-button {{ability.button.css}}">{{ability.button.title}}</div>
                                {{#if ability.forgetBtn.displayed }}
                                    <div class="evolve-button forget">{{ability.forgetBtn.title}}</div>
                                {{/if}}
                            </div>

                            {{#each ability.skills as |skill|}}
                                <div class="flexrow unlocked-skill {{skill.css}}" data-skill="{{skill.key}}" data-skilltype="{{skill.skillType}}">
                                    <span class="skill-name" data-dragged="ability" 
                                                             data-label="{{skill.name}}" 
                                                             data-ability="{{skill.skillType}}" 
                                                             data-skillchoice="{{skill.key}}">
                                        {{skill.name}}
                                    </span>
                                    <i class="wa-tooltip far fa-question-circle" data-shortcut="{{skill.shortcut}}" data-child="{{skill.shortcutChild}}"></i>
                                    {{#if skill.deleteBtn }}
                                        <i class="forget-skill fas fa-trash"></i>
                                    {{/if}}
                                </div>
                            {{/each}}

                            {{#if ability.canLearnNewSkill}}
                                <div class="flexrow learn-skill">
                                    <i class="fas fa-plus"></i>
                                </div>
                            {{/if}}
                        </div>
                        {{/each}}
                    </div>

                {{/if}}

            {{/if}}

        </div>
        {{/if}}

        {{!-- Melee Tab --}}
        {{#if menu.tabs.melee}}
        <div class="ae-melee ae-tabdata with-maneuvers" style="max-height:{{menu.size.maxheight}}px;">
            <h2>{{gui.melee.system.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="{{gui.melee.system.shortcut}}"></i></h2>

            <div class="flexrow melee-columns">
                <div class="flexcol melee-column">

                    <!-- Battle capacity -->
                    {{> battleCapacity capacity=gui.melee.capacity}}

                    <!-- Basic actions -->
                    {{> actionList actions=gui.melee.actions}}

                    <!-- Melee weapon -->
                    {{> currentWeapon weapon=gui.melee.weapon}}

                </div>
                <div class="flexcol melee-column">

                    <!-- Maneuvers -->
                    <header class="flexrow column-title">
                        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.maneuvers'}}</span>
                    </header>
                    {{#each gui.melee.maneuvers as |maneuver|}}
                        {{> maneuverSection maneuver=maneuver}}
	                {{/each}}

                </div>
            </div>
        </div>
        {{/if}}

        {{!-- Ranged Tab --}}
        {{#if menu.tabs.ranged}}
        <div class="ae-ranged ae-tabdata with-maneuvers" style="max-height:{{menu.size.maxheight}}px;">
            <h2>{{gui.ranged.system.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="{{gui.ranged.system.shortcut}}"></i></h2>

            <div class="flexrow ranged-columns">
                <div class="flexcol ranged-column">

                    <!-- Battle capacity -->
                    {{> battleCapacity capacity=gui.ranged.capacity}}

                    <!-- Basic actions -->
                    {{> actionList actions=gui.ranged.actions}}

                    <!-- Ranged weapon -->
                    {{> currentWeapon weapon=gui.ranged.weapon}}

                </div>
                <div class="flexcol ranged-column">

                    <!-- Maneuvers -->
                    <header class="flexrow column-title">
                        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.maneuvers'}}</span>
                    </header>
                    {{#each gui.ranged.maneuvers as |maneuver|}}
                        {{> maneuverSection maneuver=maneuver}}
	                {{/each}}
                </div>
            </div>
        </div>
        {{/if}}

        {{!-- Improvised wpn Tab --}}
        {{#if menu.tabs.improvised}}
        <div class="ae-improvised ae-tabdata with-maneuvers" style="max-height:{{menu.size.maxheight}}px;">
            <h2>{{gui.improvised.system.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="{{gui.improvised.system.shortcut}}"></i></h2>

            <div class="flexrow improvised-columns">
                <div class="flexcol improvised-column">

                    <!-- Battle capacity -->
                    {{> battleCapacity capacity=gui.improvised.capacity}}

                    <!-- Basic actions -->
                    {{> actionList actions=gui.improvised.actions}}

                    <!-- Improvised weapon -->
                    {{> currentWeapon weapon=gui.improvised.weapon}}
                </div>
                <div class="flexcol improvised-column">

                    <!-- Maneuvers -->
                    <header class="flexrow column-title">
                        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.maneuvers'}}</span>
                    </header>
                    {{#each gui.improvised.improvisedManeuvers as |maneuver|}}
                        {{> maneuverSection maneuver=maneuver}}
	                {{/each}}

                    <!-- For barehanded -->
                    <header class="flexrow column-title additional-margin">
                        <span>{{localize 'AESYSTEM.actor.sheet.improvised.header.barehanded'}}</span>
                    </header>
                    {{#each gui.improvised.barehandedManeuvers as |maneuver|}}
                        {{> maneuverSection maneuver=maneuver}}
	                {{/each}}
                </div>
            </div>
        </div>
        {{/if}}

        {{!-- Arcane knowledge Tab --}}
        {{#if menu.tabs.arcane}}
        <div class="ae-arcanes ae-tabdata with-maneuvers" style="max-height:{{menu.size.maxheight}}px;">
            <h2>{{gui.arcane.system.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="{{gui.arcane.system.shortcut}}"></i></h2>

            <div class="flexrow arcane-columns">
                <div class="flexcol arcane-column">

                    <!-- Battle capacity -->
                    {{> battleCapacity capacity=gui.arcane.capacity}}

                    <!-- Arcane modifiers -->
                    <header class="flexrow column-title modifiers">
                        <span>{{localize 'AESYSTEM.actor.sheet.arcane.header.modifiers'}}</span>
                    </header>
                    {{#each gui.arcane.modifiers as |knowledge|}}
                        <div class="flexcol framed-info arcane" data-knowledge="{{knowledge.key}}">
                            <span class="key wa-link" data-shortcut="{{knowledge.shortcut}}"></span>
                            <span>
                                <div class="xp-bubbles-grid">
                                    {{#if knowledge.showMinusXPButton }}
                                        <a class="xp-action button-place" data-action="removeXP"><i class="far fa-minus-square"></i></a>
                                    {{else}}
                                        <div class="button-place"></div>
                                    {{/if}}
                                    {{#each knowledge.xptab as |xpImg|}}
                                        <img class="xp-bubbles" src="{{xpImg}}"/>
                                    {{/each}}
                                    {{#if knowledge.showXpButton }}
                                        <a class="xp-action button-place" data-action="addXP"><i class="far fa-plus-square"></i></a>
                                    {{else}}
                                        <div class="button-place"></div>
                                    {{/if}}
                                </div>
                            </span>
                        </div>
                    {{/each}}

                </div>

                <div class="flexcol arcane-column">
                    <header class="flexrow column-title">
                        <span>{{localize 'AESYSTEM.actor.sheet.arcane.header.effects'}}</span>
                    </header>

                    {{#each gui.arcane.effects as |knowledge|}}
                        <div class="flexcol framed-info arcane" data-knowledge="{{knowledge.key}}">
                            <span class="key wa-link" data-shortcut="{{knowledge.shortcut}}"></span>
                            <span>
                                <div class="xp-bubbles-grid">
                                    {{#if knowledge.showMinusXPButton }}
                                        <a class="xp-action button-place" data-action="removeXP"><i class="far fa-minus-square"></i></a>
                                    {{else}}
                                        <div class="button-place"></div>
                                    {{/if}}
                                    {{#each knowledge.xptab as |xpImg|}}
                                        <img class="xp-bubbles" src="{{xpImg}}"/>
                                    {{/each}}
                                    {{#if knowledge.showXpButton }}
                                        <a class="xp-action button-place" data-action="addXP"><i class="far fa-plus-square"></i></a>
                                    {{else}}
                                        <div class="button-place"></div>
                                    {{/if}}
                                </div>
                            </span>
                        </div>
                    {{/each}}
                </div>

                <div class="flexcol arcane-column">

                    <!-- Action shortcuts -->
                    {{> actionList actions=gui.arcane.actions}}
                    
                    <header class="flexrow column-title maneuvers">
                        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.maneuvers'}}</span>
                    </header>
                    {{#each gui.arcane.maneuvers as |maneuver|}}
                        {{> maneuverSection maneuver=maneuver}}
	                {{/each}}

                </div>
            </div>
        </div>
        {{/if}}

        {{!-- Divine pacts Tab --}}
        {{#if menu.tabs.divine}}
        <div class="ae-divine ae-tabdata with-maneuvers" style="max-height:{{menu.size.maxheight}}px;">
            <h2>{{gui.divine.system.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="{{gui.divine.system.shortcut}}"></i></h2>

            <div class="flexrow divine-columns">
                <div class="flexcol divine-column fist-column">

                    <!-- Battle capacity -->
                    {{> battleCapacity capacity=gui.divine.capacity}}

                    <!-- Basic actions -->
                    {{> actionList actions=gui.divine.actions}}

                    <!-- Maneuvers -->
                    <header class="flexrow column-title">
                        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.maneuvers'}}</span>
                    </header>
                    {{#each gui.divine.maneuvers as |maneuver|}}
                        {{> maneuverSection maneuver=maneuver}}
	                {{/each}}
                    
                </div>
                <div class="flexcol divine-column pact-column">

                    <header class="flexrow column-title">
                        <span>{{localize 'AESYSTEM.actor.sheet.divine.header.pacts'}}</span>
                    </header>

                    {{#each gui.divine.pacts as |pact|}}
                        <div class="flexrow pact">
                            <img class="pact-icon" src="{{pact.icon}}">
                            <div class="flexcol pact-data" data-pact="{{pact.divinity}}">
                                <span class="key">{{pact.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="magic.divinities.{{pact.divinity}}"></i></span>
                                {{#if pact.done }}
                                <span>
                                    <div class="xp-bubbles-grid">
                                        {{#if pact.showMinusXPButton }}
                                            <a class="xp-action button-place" data-action="removeXP"><i class="far fa-minus-square"></i></a>
                                        {{else}}
                                            <div class="button-place"></div>
                                        {{/if}}
                                        {{#each pact.xptab as |xpImg|}}
                                            <img class="xp-bubbles" src="{{xpImg}}"/>
                                        {{/each}}
                                        {{#if pact.showXpButton }}
                                            <a class="xp-action button-place" data-action="addXP"><i class="far fa-plus-square"></i></a>
                                        {{else}}
                                            <div class="button-place"></div>
                                        {{/if}}
                                    </div>
                                </span>
                                {{else}}
                                    {{#if pact.showXpButton }}
                                        <a class="form-pact">{{localize 'AESYSTEM.actor.sheet.divine.formPact'}}</i></a>
                                    {{/if}}
                                {{/if}}
                            </div>
                            {{#each pact.elements as |element|}}
                                <img class="pact-element wa-tooltip" src="{{element.icon}}" data-shortcut="magic.elements.{{element.name}}">
                            {{/each}}
                        </div>
                    {{/each}}
                </div>
            </div>

        </div>
        {{/if}}

        {{!-- Songs Tab --}}
        {{#if menu.tabs.songs}}
        <div class="ae-songs ae-tabdata with-maneuvers" style="max-height:{{menu.size.maxheight}}px;">
            <h2>{{gui.songs.system.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="{{gui.songs.system.shortcut}}"></i></h2>

            <div class="flexrow songs-columns">
                <div class="flexcol songs-column">

                    <!-- Battle capacity -->
                    {{> battleCapacity capacity=gui.songs.capacity}}

                    <!-- Melodies -->
                    <header class="flexrow column-title additional-margin">
                        <span>{{localize 'AESYSTEM.actor.sheet.songs.header.melody'}}</span>
                    </header>
                    {{#each gui.songs.melodies as |melody|}}
                        <div class="flexcol framed-info melody" data-melody="{{melody.key}}">
                            <span class="key wa-link" data-shortcut="{{melody.shortcut}}" data-child="{{melody.shortcutChild}}"></span>
                            <span>
                                <div class="xp-bubbles-grid">
                                    {{#if melody.showMinusXPButton }}
                                        <a class="xp-action button-place" data-action="removeXP"><i class="far fa-minus-square"></i></a>
                                    {{else}}
                                        <div class="button-place"></div>
                                    {{/if}}
                                    {{#each melody.xptab as |xpImg|}}
                                        <img class="xp-bubbles" src="{{xpImg}}"/>
                                    {{/each}}
                                    {{#if melody.showXpButton }}
                                        <a class="xp-action button-place" data-action="addXP"><i class="far fa-plus-square"></i></a>
                                    {{else}}
                                        <div class="button-place"></div>
                                    {{/if}}
                                </div>
                            </span>
                        </div>
                    {{/each}}

                </div>
                <div class="flexcol songs-column">
                    <header class="flexrow column-title">
                        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.actions'}}</span>
                    </header>
                    {{#each gui.songs.actions as |action|}}
                        <div class="flexcol framed-info interaction">
                            <span class="key" data-dragged="{{action.action}}" data-category="{{action.category}}" data-subchoice="{{action.subchoice}}" data-icon="{{action.icon}}">
                                <a class="launch-dice"><i class="fas fa-dice-d20"></i></a>&nbsp;{{action.label}}
                            </span>                        
                        </div>
                    {{/each}}

                    <header class="flexrow column-title additional-margin">
                        <span>{{localize 'AESYSTEM.actor.sheet.battleCapacity.maneuvers'}}</span>
                    </header>
                    {{#each gui.songs.maneuvers as |maneuver|}}
                        {{> maneuverSection maneuver=maneuver}}
	                {{/each}}

                </div>
            </div>
        </div>
        {{/if}}

        {{!-- Spirit Tab --}}
        {{#if menu.tabs.spirit}}
        <div class="ae-spirit ae-tabdata" style="min-height:{{menu.size.maxheight}}px; max-height:{{menu.size.maxheight}}px;">
            <h2>{{localize 'AESYSTEM.actor.sheet.menu.spirit'}}</h2>

            <div class="flexrow spirit-row">
                <div class="flexcol spirit-section current-state">
                    <header class="flexrow column-title">
                        <span>{{gui.spirit.awakening.title}}</span>
                    </header>
                    <div class="flexcol framed-info">
                        {{#if gui.spirit.awakening.done}}
                            <span>{{gui.spirit.awakening.spiritName}}</span>
                            <div class="flexrow">
                                {{#each gui.spirit.awakening.harmonizations as |elem|}}
                                    <div class="flexcol harmonization-col">
                                        <img class="harmonization {{elem.css}}" src="{{elem.icon}}" data-elem="{{elem.key}}">
                                        <div class="tooltip" style="left:{{perk.left}};">
                                            <div class="tooltip-title">{{elem.name}}</div>
                                            {{#each elem.description as |line|}}
                                                <div class="tooltip-desc">{{line}}</div>
                                            {{/each}}
                                        </div>
                                    </div>
                                {{/each}}
                            </div>
                        {{else}}
                            <div class="evolve-button awake {{gui.spirit.awakening.awakeBtn.css}}">{{gui.spirit.awakening.awakeBtn.label}}</div>
                        {{/if}}
                        {{#if gui.spirit.resetBtn.displayed}}
                            <div class="evolve-button reset">{{gui.spirit.resetBtn.label}}</div>
                        {{/if}}
                    </div>
                </div>
            </div>
            <div class="flexrow spirit-row">
                <div class="flexcol spirit-section benefits">
                    <header class="flexrow column-title">
                        <span>{{gui.spirit.benefits.title}}</span>
                    </header>
                    {{#each gui.spirit.benefits.tab as |benefit|}}
                        <div class="flexcol framed-info benefit {{benefit.css}}" data-benefit="{{benefit.key}}">
                            <span>{{benefit.title}}
                                {{#if benefit.detailDisplayed}}
                                    &nbsp;<i class="wa-tooltip far fa-question-circle" data-shortcut="{{benefit.shortcut}}" data-child="{{benefit.shortcutChild}}"></i>
                                {{/if}}
                            </span>
                            {{#if benefit.detailDisplayed}}
                                <div class="flexrow">
                                    {{#each benefit.knownPerksInfo as |perk|}}
                                        <div class="perk" data-shortcut="{{perk.shortcut}}" data-child="{{perk.shortcutChild}}">
                                            <img class="perk-icon" src="{{perk.icon}}"/>
                                            <div class="tooltip" style="left:{{perk.left}};">
                                                <div class="tooltip-title">{{perk.name}}</div>
                                                {{#each perk.description as |line|}}
                                                    <div class="tooltip-desc">{{line}}</div>
                                                {{/each}}
                                            </div>
                                        </div>
                                    {{/each}}
                                </div>
                                <div class="flexrow">
                                    {{#each benefit.xptab as |xpImg|}}
                                        <img class="xp-bubbles" src="{{xpImg}}"/>
                                    {{/each}}
                                </div>
                                <div class="evolve-button {{benefit.button.css}}">{{benefit.button.title}}</div>

                                <div class="flexrow">
                                    {{#each benefit.availablePerksInfo as |perk|}}
                                        <div class="perk new-perk" data-perk="{{perk.key}}" data-shortcut="{{perk.shortcut}}" data-child="{{perk.shortcutChild}}">
                                            <img class="perk-icon" src="{{perk.icon}}"/>
                                            <div class="tooltip" style="left:{{perk.left}};">
                                                <div class="tooltip-title">{{perk.name}}</div>
                                                {{#each perk.description as |line|}}
                                                    <div class="tooltip-desc">{{line}}</div>
                                                {{/each}}
                                            </div>
                                        </div>
                                    {{/each}}
                                </div>
                            {{/if}}
                        </div>
                    {{/each}}
                </div>

                <div class="flexcol spirit-section drawbacks">
                    <header class="flexrow column-title">
                        <span>{{gui.spirit.drawbacks.title}}</span>
                    </header>
                    {{#each gui.spirit.drawbacks.tab as |drawback|}}
                        <div class="flexcol framed-info drawback {{drawback.css}}" data-drawback="{{drawback.key}}">
                            <span>{{drawback.title}}
                                {{#if drawback.detailDisplayed}}
                                    &nbsp;<i class="wa-tooltip far fa-question-circle" data-shortcut="{{drawback.shortcut}}" data-child="{{drawback.shortcutChild}}"></i>
                                {{/if}}
                            </span>
                            {{#if drawback.detailDisplayed}}
                                <div class="flexrow">
                                    {{#each drawback.knownPerksInfo as |perk|}}
                                        <div class="perk" data-shortcut="{{perk.shortcut}}" data-child="{{perk.shortcutChild}}">
                                            <img class="perk-icon" src="{{perk.icon}}"/>
                                            <div class="tooltip" style="left:{{perk.left}};">
                                                <div class="tooltip-title">{{perk.name}}</div>
                                                {{#each perk.description as |line|}}
                                                    <div class="tooltip-desc">{{line}}</div>
                                                {{/each}}
                                            </div>
                                        </div>
                                    {{/each}}
                                </div>
                                <div class="flexrow">
                                    {{#each drawback.xptab as |xpImg|}}
                                        <img class="xp-bubbles" src="{{xpImg}}"/>
                                    {{/each}}
                                </div>
                                <span class="selected-info">{{drawback.evolving}}</span>

                                <div class="flexrow">
                                    {{#each drawback.availablePerksInfo as |perk|}}
                                        <div class="perk new-perk" data-perk="{{perk.key}}" data-shortcut="{{perk.shortcut}}" data-child="{{perk.shortcutChild}}">
                                            <img class="perk-icon" src="{{perk.icon}}"/>
                                            <div class="tooltip" style="left:{{perk.left}};">
                                                <div class="tooltip-title">{{perk.name}}</div>
                                                {{#each perk.description as |line|}}
                                                    <div class="tooltip-desc">{{line}}</div>
                                                {{/each}}
                                            </div>
                                        </div>
                                    {{/each}}
                                </div>
                            {{/if}}
                        </div>
                    {{/each}}
                </div>
            </div>

        </div>
        {{/if}}

        {{!-- Troubles cards Tab --}}
        {{#if menu.tabs.troubles}}
        <div class="ae-troubles ae-tabdata" style="max-height:{{menu.size.maxheight}}px;">
            <h2>{{localize 'AESYSTEM.actor.sheet.menu.troubleGauges'}}</h2>

            <div class="flexrow gauge">
                <div class="wa-link" data-shortcut="character.spirit.definition" data-child="drawbacks.hunger"></div>
                <div class="trouble-value minmax">{{actor.system.guardianSpirit.troubles.hunger.min}}</div>
                <input class="trouble-value" type="number" name="guardianSpirit.troubles.hunger.value" value="{{actor.system.guardianSpirit.troubles.hunger.value}}" placeholder="hunger"/>
                <div class="trouble-value minmax">{{actor.system.guardianSpirit.troubles.hunger.max}}</div>
            </div>
            <div class="flexrow gauge">
                <div class="wa-link" data-shortcut="character.spirit.definition" data-child="drawbacks.personality"></div>
                <div class="trouble-value minmax">{{actor.system.guardianSpirit.troubles.restlessness.min}}</div>
                <input class="trouble-value" type="number" name="guardianSpirit.troubles.restlessness.value" value="{{actor.system.guardianSpirit.troubles.restlessness.value}}" placeholder="restlessness"/>
                <div class="trouble-value minmax">{{actor.system.guardianSpirit.troubles.restlessness.max}}</div>
            </div>
            
            <h2>{{localize 'AESYSTEM.actor.sheet.menu.troubles'}}</h2>

            <ol class="ae-list">
            {{#each gui.troubles.cards as |trouble|}}
                <li class="troubles flexrow" data-card-id="{{trouble.card.id}}">
                    <div class="key">
                        <a class="trouble-show" title="Show card"><i class="fas fa-eye"></i></a>&nbsp;
                        {{trouble.card.name}}
                    </div>
                    <div class="effect">{{trouble.effect.name}}</div>
                    <div class="status">{{trouble.status.name}}</div>
                    <div class="actions">
                        <a class="trouble-discard" title="Discard card"><i class="fas fa-trash"></i></a>
                    </div>
                </li>
            {{/each}}
            </ol>
        </div>
        {{/if}}

        {{!-- XP Tab --}}
        {{#if menu.tabs.xp}}
        <div class="ae-xp ae-tabdata" style="min-height:{{menu.size.maxheight}}px; max-height:{{menu.size.maxheight}}px;">
            <h2>{{localize 'AESYSTEM.actor.sheet.menu.xp'}}</h2>

            <div class="flexrow xp-line">
                <div class="flexcol xp-text">
                    <span>{{localize 'AESYSTEM.actor.xp.title.allGranted'}}</span>
                    <span>{{gui.xp.granted}}</span>
                </div>
            </div>

            <div class="flexrow xp-line">
                <a class="tokenButton" data-action="minus" data-xp="free" data-side="source"><i class="far fa-minus-square"></i></a>
                <div class="flexcol xp-text">
                    <span>{{localize 'AESYSTEM.actor.xp.title.freeXP'}}</span>
                    <span>{{gui.xp.free}}</span>
                </div>
                <a class="tokenButton" data-action="plus" data-xp="free" data-side="source"><i class="far fa-plus-square"></i></a>
            </div>

            <div class="flexrow xp-line">
                <a class="tokenButton" data-action="minus" data-xp="attribute" data-side="source"><i class="far fa-minus-square"></i></a>
                <div class="flexcol xp-text">
                    <span>{{localize 'AESYSTEM.actor.xp.title.attributeXP'}}</span>
                    <span>{{gui.xp.attribute}}</span>
                </div>
                <a class="tokenButton" data-action="plus" data-xp="attribute" data-side="source"><i class="far fa-plus-square"></i></a>
            </div>

            <div class="flexrow xp-line">
                <a class="tokenButton" data-action="minus" data-xp="skill" data-side="source"><i class="far fa-minus-square"></i></a>
                <div class="flexcol xp-text">
                    <span>{{localize 'AESYSTEM.actor.xp.title.skillXP'}}</span>
                    <span>{{gui.xp.skill}}</span>
                </div>
                <a class="tokenButton" data-action="plus" data-xp="skill" data-side="source"><i class="far fa-plus-square"></i></a>
            </div>
            <div class="flexrow xp-line">
                <a class="tokenButton" data-action="minus" data-xp="power" data-side="source"><i class="far fa-minus-square"></i></a>
                <div class="flexcol xp-text">
                    <span>{{localize 'AESYSTEM.actor.xp.title.powerXP'}}</span>
                    <span>{{gui.xp.power}}</span>
                </div>
                <a class="tokenButton" data-action="plus" data-xp="power" data-side="source"><i class="far fa-plus-square"></i></a>
            </div>

            <div class="flexrow xp-line">
                <a class="tokenButton" data-action="minus" data-xp="energy" data-side="source"><i class="far fa-minus-square"></i></a>
                <div class="flexcol xp-text blue">
                    <span>{{localize 'AESYSTEM.actor.xp.title.spiritEnergy'}}</span>
                    <span>{{gui.xp.energy}}</span>
                </div>
                <a class="tokenButton" data-action="plus" data-xp="energy" data-side="source"><i class="far fa-plus-square"></i></a>
            </div>
        </div>
        {{/if}}

        {{!-- Merchant Tab --}}
        {{#if menu.tabs.merchant}}
        <div class="ae-merchant ae-tabdata" style="max-height:{{menu.size.maxheight}}px; height:{{menu.size.maxheight}}px;">

            <h2>{{localize 'AESYSTEM.actor.sheet.menu.merchant'}}</h2>

            <!-- Choosing tab -->
            <div class="flexrow tab-choice">
                {{#each gui.merchant.choices as |choice|}}
                    <div class="ae-button choose-tab {{#if choice.active}}active{{/if}}" data-choice="{{choice.key}}">{{choice.title}}</div>
                {{/each}}
            </div>

            <!-- No shop -->
            {{#if gui.merchant.noShop.displayed}}
                <div class="flexrow ae-button build-shop">
                    <div>{{localize 'AESYSTEM.actor.sheet.merchant.button.createShop'}}</div>
                </div>
            {{/if}}

            <!-- Setup -->
            {{#if gui.merchant.setup.displayed}}
                <div class="flexcol shop-setup">

                    <!-- Prices -->
                    <ol class="ae-list prices">
                        <li class="first-line">{{localize 'AESYSTEM.actor.sheet.merchant.comment.updatePrices'}}</li>
                        {{#each gui.merchant.setup.prices as |price|}}
                            <li class="price flexrow" data-key="{{price.key}}">
                                <div class="name"><i class="fas fa-balance-scale"></i>&nbsp; {{price.title}}</div>
                                <input class="amount" type="number" value="{{price.value}}" placeholder="{{price.hint}}"/>
                                <div class="percent">%</div>
                            </li>
                        {{/each}}
                        <li class="ae-button update-prices">{{localize 'AESYSTEM.actor.sheet.merchant.button.updatePrices'}}</li>
                    </ol>
                    
                    <!-- Compendiums -->
                    <ol class="ae-list compendiums">
                        <li class="first-line">{{localize 'AESYSTEM.actor.sheet.merchant.comment.compendiums'}}</li>
                        {{#each gui.merchant.setup.compendiums as |compendium|}}
                            <li class="compendium flexrow" data-path="{{compendium.path}}">
                                <div class="name">
                                    <a class="compendium-show" title="Show compendium"><i class="fas fa-atlas"></i></a>&nbsp;
                                    {{compendium.name}}
                                </div>
                                <input class="amount" type="number" value="{{compendium.amount}}" placeholder="The amount of items from this compendium which will be on sales"/>
                                <div class="size">/ {{compendium.size}}</div>
                            </li>
                        {{/each}}
                        <li class="ae-button save-shop">{{localize 'AESYSTEM.actor.sheet.merchant.button.reload'}}</li>
                    </ol>

                    <!-- Reset -->
                    <ol class="ae-list closing-shop">
                        <li class="first-line">{{localize 'AESYSTEM.actor.sheet.merchant.comment.deleteShop'}}</li>
                        <li class="ae-button delete-shop">{{localize 'AESYSTEM.actor.sheet.merchant.button.deleteShop'}}</li>
                    </ol>
                </div>
            {{/if}}

            <!-- Buy items (Player perspective) -->
            {{#if gui.merchant.buy.displayed}}

                {{#if gui.merchant.buy.coins.displayed}}
                    <div class="flexrow current-coins">
                        <span class="coin-desc">{{gui.merchant.buy.coins.desc}}</span>
                        <img class="coin-icon" src="systems/acariaempire/resources/items/misc/coin.png">
                    </div>
                {{/if}}

                <ol class="shop-list">
                    {{#each gui.merchant.buy.sellables as |sellable|}}
                        {{> merchantLine type='sellable' content=sellable}}
                    {{/each}}
                </ol>
            {{/if}}

            <!-- Sell items (Player perspective) -->
            {{#if gui.merchant.sell.displayed}}

                {{#if gui.merchant.sell.coins.displayed}}
                    <div class="flexrow current-coins">
                        <span class="coin-desc">{{gui.merchant.sell.coins.desc}}</span>
                        <img class="coin-icon" src="systems/acariaempire/resources/items/misc/coin.png">
                    </div>
                {{/if}}

                <ol class="shop-list">
                    {{#each gui.merchant.sell.bagItems as |bagItem|}}
                        {{> merchantLine type='bag' content=bagItem}}
                    {{/each}}
                </ol>
            {{/if}}
        </div>
        {{/if}}

        {{!-- Monster Tab --}}
        {{#if menu.tabs.monster}}
        <div class="ae-monster ae-tabdata" style="max-height:{{menu.size.maxheight}}px; height:{{menu.size.maxheight}}px;">
            <h2>{{localize 'AESYSTEM.actor.sheet.menu.monster'}}</h2>

            <div class="subheader" style="border:groove;">{{gui.monster.labels.threatlevel}}</div>
            <div class="subheader">{{gui.monster.labels.knownAugmentTitle}}</div>

            {{#if gui.monster.knownAugments.length}}
                <div class="flexrow augment-list">
                    {{#each gui.monster.knownAugments as |augment|}}
                        <div class="flexrow augment-element known-augment wa-contextmenu" 
                                data-shortcut="{{augment.shortcut}}" 
                                data-child="{{augment.shortcutChild}}"
                                data-augment-id="{{augment.key}}" 
                                title="{{augment.tooltip}}" >
                            {{#if augment.editAllowed}}
                                <i class="fas fa-minus augment-modif" data-action="minus"></i>
                            {{/if}}
                            <div class="flexcol">
                                {{augment.name}}&nbsp;({{augment.level}}/{{augment.maxLevel}})
                            </div>
                            {{#if augment.editAllowed}}
                                <i class="fas fa-plus augment-modif" data-action="plus"></i>
                            {{/if}}
                        </div>
                    {{/each}}
                </div>
            {{/if}}
            {{#each gui.monster.availableMenus as |elt| }}
                <div class="subheader">{{elt.menu.name}}</div>
                <div class="flexrow augment-list">
                    {{#each elt.augments as |augment|}}
                        <div class="flexcol augment-element wa-contextmenu {{#if augment.editAllowed}}available-augment{{/if}}"
                                data-shortcut="{{augment.shortcut}}" 
                                data-child="{{augment.shortcutChild}}" 
                                data-augment-id="{{augment.key}}"
                                title="{{augment.tooltip}}" >
                            {{augment.name}}
                        </div>
                    {{/each}}
                </div>
            {{/each}}
        </div>
        {{/if}}

    </section>

</form>

